getFontCatalogPreview
GET
/api/v1/fonts/catalog/{sourceId}/preview
const url = 'https://example.com/api/v1/fonts/catalog/example/preview';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/fonts/catalog/example/previewServe a small regular face of one catalog family so Studio can show the family name in its own type. Requires the settings.manage capability.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”sourceId
required
string
Responses
Section titled “ Responses ”WOFF2 preview face
Media typefont/woff2
string format: binary
Dashboard authentication required
Insufficient capability
Catalog family not found
The catalog could not be reached
The catalog is disabled on this server